<div class="app-container mat-typography">
  <app-menu>
    <app-loading-indicator
      [loaded]="(annotationLoaded$|async)"
      message="Annotations are loading...">
    </app-loading-indicator>
    <svm-slide-viewer
      [selectedSlideId]="(selectedSlideId$|async)"
      [slide]="(slide$|async)"
      [annotationIds]="(annotationIds$|async)"
      [annotations]="(annotations$|async)"
      [highlightAnnotations]="[(selectedAnnotationId$|async)]"
      [annotationCentroidsForClustering]="(centroids$|async)"
      [clusterDistance]="CLUSTER_DISTANCE"
      [removeAnnotations]="(removeAnnotations$|async)"
      [clearAnnotations]="(clearAnnotations$|async)"
      [uiConfig]="uiConfig"
      [hideAnnotationIds]="(hiddenAnnotationIds$|async)"
      [focusAnnotation]="(focusAnnotation$|async)"
      [interactionType]="(selectedInteractionType$|async)"
      [allowedInteractionTypes]="(allowedInteractionTypes$|async)"
      [allAnnotationClasses]="(allClassEntities$|async)"
      [examinationState]="(examinationState$|async)"
      [annotationHighlightConfig]="annotationHighlightConfig"
      [updateSlideViewer]="(menuSize$|async)"
      [xaiAlpha]="(xaiAlpha$|async)"
      [showXaiLayer]="(showXaiLayer$|async)"
      (doubleClicked)="toggleMenuVisibility()"
      (requestAnnotations)="requestAnnotations($event)"
      (slideMoveEnd)="onViewerMoveEnd($event)"
      (annotationAdded)="onAnnotationCreated($event)"
      (annotationClassColors)="onAnnotationClassColorsChanged($event)"
      (annotationClick)="onAnnotationClicked($event)"
      [rectangleExplanationIds]="(rectangleExplanationIds$|async)"
      [rectangleExplanations]="(rectangleExplanations$|async)"
      (requestRectangleExplanations)="requestRectangleExplanations($event)"
      [removeRectangleExplanations]="(removeRectangleExplanations$|async)"
      [clearRectangleExplanations]="(clearRectangleExplanations$|async)"
      [hideRectangleExplanationIds]="(hiddenRectangleExplanationIds$|async)"
      >
    </svm-slide-viewer>
  </app-menu>
</div>

